﻿using System;
using System.Configuration;
using System.Data.SqlClient;
using System.Diagnostics;

namespace ConsoleApp1
{
    class Program
    {
        static string _sqlQuery = "SELECT TOP 10 * FROM memoList ORDER BY mdate DESC";

        static void Main(string[] args)
        {
            Action<int, SqlConnection, Action<int, SqlConnection>> action = (loopCount, connection, work) =>
            {
                Stopwatch st = new Stopwatch();
                st.Start();

                work(loopCount, connection);

                st.Stop();

                Console.WriteLine(st.ElapsedMilliseconds);
            };

            using (SqlConnection connection = new SqlConnection())
            {
                connection.ConnectionString =
                    ConfigurationManager.ConnectionStrings["my"].ConnectionString;
                connection.Open();

                action(1, connection, RunCommand);
                action(1, connection, RunCommand);
                action(1, connection, RunCommand);

                connection.Close();
            }
        }

        private static void RunCommand(int loopCount, SqlConnection connection)
        {
            SqlCommand command = new SqlCommand();
            command.Connection = connection;
            command.CommandText = _sqlQuery;

            int count = command.ExecuteNonQuery();
            if (count == 0)
            {
                command.ExecuteNonQuery();
            }
        }

    }
}
